using System.ComponentModel.DataAnnotations;

namespace Siger.Middlelayer.AccRepository.Request
{
    public class RequestWOBookingItem
    {
        [Required(ErrorMessage = "LineIsEmpty")]
        public int Line { get; set; }
        [Required(ErrorMessage = "StationIsEmpty")]
        public int Station { get; set; }
        
        public int Seq { get; set; }
        [Required(ErrorMessage = "ItemIsEmpty")]
        public string Item { get; set; }
        public string Descr { get; set; }
        public string UID { get; set; }
    }

    public class RequestUpdateWOBookingItem: RequestWOBookingItem
    {
        [Required(ErrorMessage = "IdIsEmpty")]
        public string Id { get; set; }
    }
}
